Skip to navigation

Publish or Overwrite Page Content

Beta
Publish or overwrite the content of a page that uses page widgets.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Add scopes ++++modify...
Addread-onlystore_v2_marketing_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access tokens, see API Accounts and OAuth Scopes.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see API Accounts and OAuth Scopes.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

X-Correlation-IdstringOptionalformat: "uuid"

An identifier unique to a set of related requests. For use on headless storefronts, excluding BigCommerce for WordPress. For more information, see Best Practices or the Headless Guide.

Request

This endpoint expects an object.
regionslist of objectsRequired
template_filestringOptional
The template file that you would like to target. Leave it empty if the request is for Global regions.
entity_idstringOptional

The identifier of a page you would like to target. For product pages, choose product ID. For category pages, choose category ID. Home page does not support entity_id. Leave it empty if the request is for Global regions.

channel_idintegerOptional
The id of the channel on which to create this placement. Defaults to the first channel created on the store.

Response

The request was successful. No response body is returned.

Errors

422
Unprocessable Entity Error